Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000012 [Piwigo] display feature always 2004.02.08 19:23 2005.05.01 10:50
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.4 branch Product Version
  Target Version Product Build
Summary 0000012: no more use of expand URL variable
Description In the objective to make URL simplier, deletion of URL variable "expand". The categories to expand in the menu will be known "automatically" : all the parent categories and the category itself.

Furthermore, it will impossible to have two main categories expanded in the time.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000020)
rlawley (reporter)
2004.08.16 00:30

The behaviour of the expand variable causes a major problem with crawlers, specifically the msnbot. If a page is crawled by MSN, each link it sees in the index has the expand variable set. These are then added to the queue of pages to crawl, and it will come back again, looking at the page with expand. Next time, all of the links will have 2 values in expand, then 3 etc. This ends up with the crawler consuming large amounts of bandwidth infinitely crawling a website, and could cause people's bandwidth limit to be reached. In the example I have seen, it is causing 180Mb a day in text-only pages to be transferred!

- Issue History
Date Modified Username Field Change
2004.02.08 19:23 plg New Issue
2004.06.22 14:17 Marc77 Issue Monitored: Marc77
2004.08.16 00:30 rlawley Note Added: 0000020
2004.08.16 00:30 rlawley Issue Monitored: rlawley
2005.03.16 23:24 plg Status assigned => closed
2005.03.16 23:24 plg Status closed => resolved
2005.03.16 23:24 plg Fixed in Version => 1.4.0
2005.03.16 23:24 plg Resolution open => fixed
2005.03.16 23:24 plg Status resolved => closed
2005.05.01 10:50 plg version 1.4 branch =>
2005.05.01 10:50 plg Fixed in Version 1.4.0 => 1.4 branch


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker